unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls,
  CtExcept, ceFile, ceWindow;

type
  TDesk = class(TForm)
    CentralException: TCentralException;
    CentralExceptionFile: TCentralExceptionFile;
    Panel: TPanel;
    ButtonClose: TButton;
    ButtonTest: TButton;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    GroupBox3: TGroupBox;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    Label1: TLabel;
    ComboBox1: TComboBox;
    Label2: TLabel;
    Edit1: TEdit;
    CheckBox4: TCheckBox;
    Label3: TLabel;
    ComboBox2: TComboBox;
    CentralExceptionWindow: TCentralExceptionWindow;
    procedure FormCreate(Sender: TObject);
    procedure ButtonCloseClick(Sender: TObject);
    procedure ButtonTestClick(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
    procedure CentralExceptionBeforeExcept(Sender: TObject; E: Exception);
    procedure CentralExceptionAfterExcept(Sender: TObject; E: Exception);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Desk: TDesk;

implementation

{$R *.DFM}

procedure TDesk.FormCreate(Sender: TObject);
begin
  ComboBox1.ItemIndex := 0;
  ComboBox2.ItemIndex := 0;
  CentralException.Active := CheckBox1.Checked;
  CentralException.Inhibit := CheckBox2.Checked;
  CentralExceptionFile.Active := CheckBox3.Checked;
  CentralExceptionWindow.Active := CheckBox4.Checked;
  ComboBox1.ItemIndex := 0;
  ComboBox2.ItemIndex := 3;
end;

procedure TDesk.ButtonCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TDesk.ButtonTestClick(Sender: TObject);
var
  Tmp: TStrings;
begin
  Tmp := TStringList.Create;
  Tmp.LoadFromFile('');
  Tmp.Free;
end;

procedure TDesk.CheckBox1Click(Sender: TObject);
begin
  CentralException.Active := CheckBox1.Checked;
end;

procedure TDesk.CheckBox2Click(Sender: TObject);
begin
  CentralException.Inhibit := CheckBox2.Checked;
end;

procedure TDesk.CheckBox3Click(Sender: TObject);
begin
  CentralExceptionFile.Active := CheckBox3.Checked;
end;

procedure TDesk.ComboBox1Change(Sender: TObject);
begin
  case ComboBox1.ItemIndex of
    0: CentralExceptionFile.FileType := ftText;
    1: CentralExceptionFile.FileType := ftHTML;
  end;
end;

procedure TDesk.Edit1Change(Sender: TObject);
begin
  CentralExceptionFile.TextDelimiter := Edit1.Text;
end;

procedure TDesk.CheckBox4Click(Sender: TObject);
begin
  CentralExceptionWindow.Active := CheckBox4.Checked;
end;

procedure TDesk.ComboBox2Change(Sender: TObject);
begin
  case ComboBox2.ItemIndex of
    0: CentralExceptionWindow.WindowBorder := bsDialog;
    1: CentralExceptionWindow.WindowBorder := bsSingle;
    2: CentralExceptionWindow.WindowBorder := bsSizeable;
    3: CentralExceptionWindow.WindowBorder := bsSizeToolWin;
    4: CentralExceptionWindow.WindowBorder := bsToolWindow;
  end;
end;

procedure TDesk.CentralExceptionBeforeExcept(Sender: TObject; E: Exception);
begin
  Application.MessageBox(PChar('User: ' + CentralException.UserName +
                               #13 +
                               'Exception: ' + E.Message),
                         'Before Exception', mb_IconExclamation + mb_OK);
end;

procedure TDesk.CentralExceptionAfterExcept(Sender: TObject; E: Exception);
begin
  Application.MessageBox(PChar('User: ' + CentralException.UserName +
                               #13 +
                               'Exception: ' + E.Message),
                         'After Exception', mb_IconExclamation + mb_OK);
end;

end.
